Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class ResourceURLImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl
          org.jboss.portal.portlet.impl.jsr168.api.ResourceURLImpl

All Implemented Interfaces:
  javax.portlet.BaseURL, javax.portlet.ResourceURL

    public class ResourceURLImpl

extends BaseURLImpl
implements javax.portlet.ResourceURL

Version:
  $Revision: 630 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl
`BaseURLImpl.InternalContainerURL`

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl
`filterable, inv, preq, secure`

Fields inherited from interface javax.portlet.ResourceURL
`FULL, PAGE, PORTLET, SHARED`

Method Summary
`protected BaseURLImpl` | `createClone()`
`static ResourceURLImpl` | `createResourceURL(PortletInvocation invocation, PortletRequestImpl preq)`
`protected void` | `filter(javax.portlet.PortletURLGenerationListener listener)`
`java.lang.String` | `getCacheability()`
`protected BaseURLImpl.InternalContainerURL` | `getContainerURL()`
`void` | `setCacheability(java.lang.String s)`
`void` | `setResourceID(java.lang.String resourceID)`
`static java.lang.String` | `toJSR168(CacheLevel cacheLevel)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl
`addProperty, getParameterMap, setParameter, setParameter, setParameters, setProperty, setSecure, toString, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.portlet.BaseURL
`addProperty, getParameterMap, setParameter, setParameter, setParameters, setProperty, setSecure, toString, write, write`

Method Detail

### toJSR168

    public static java.lang.String toJSR168(CacheLevel cacheLevel)

### setResourceID

    public void setResourceID(java.lang.String resourceID)

  Specified by:
    `setResourceID` in interface `javax.portlet.ResourceURL`

### getCacheability

    public java.lang.String getCacheability()

  Specified by:
    `getCacheability` in interface `javax.portlet.ResourceURL`

### setCacheability

    public void setCacheability(java.lang.String s)

  Specified by:
    `setCacheability` in interface `javax.portlet.ResourceURL`

### getContainerURL

    protected BaseURLImpl.InternalContainerURL getContainerURL()

  Specified by:
    `getContainerURL` in class `BaseURLImpl`

### createClone

    protected BaseURLImpl createClone()

  Specified by:
    `createClone` in class `BaseURLImpl`

### filter

    protected void filter(javax.portlet.PortletURLGenerationListener listener)

  Specified by:
    `filter` in class `BaseURLImpl`

### createResourceURL

    public static ResourceURLImpl createResourceURL(PortletInvocation invocation,
                                                    PortletRequestImpl preq)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.